/**
 * Cet exemple correspond à l'application de test de la bibliothèque MeasureUnit qui
 * permet de calculer la température mesurée par une matrice de thermistance 
 * 
 * Anatole SCHRAMM-HENRY
 * 17/12/2019
 */

#include "MeasureUnit.h"

uint8_t analogInput[] = {PA0,PA1,PA2,PA3,PA4,PA5,PA6,PA7};
ThermistorSetting thermistorSetting(4050, 47000);
AdcSetting adcSetting(3.3, 12, 30, 20);

MeasureUnit measureUnit(analogInput, 8, 1000, thermistorSetting, adcSetting);

void setup() {
  // put your setup code here, to run once:
  Serial.begin(115200);
  Serial.println("Start setup");
  
  Serial.println("End setup");

}

void loop() {
  // put your main code here, to run repeatedly:
  measureUnit.getTemperatures();
  delay(5000);
}
